Skip to main content
GET
/
v1
/
{chainName}
/
transaction_v2
/
{txHash}
/
GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";

const ApiServices = async () => {
    const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
    const resp = await client.TransactionService.getTransaction({chainName: "chainName", walletAddress: "walletAddress"});
    console.log(resp.data);
};

ApiServices();
{
  "updated_at": "2023-11-07T05:31:56Z",
  "chain_id": 123,
  "chain_name": "<string>",
  "chain_tip_height": 123,
  "chain_tip_signed_at": "2023-11-07T05:31:56Z",
  "items": [
    {
      "block_signed_at": "2023-11-07T05:31:56Z",
      "block_height": 123,
      "block_hash": "<string>",
      "tx_hash": "<string>",
      "tx_offset": 123,
      "successful": true,
      "from_address": "<string>",
      "miner_address": "<string>",
      "to_address": "<string>",
      "value": "<string>",
      "value_quote": 123,
      "pretty_value_quote": "<string>",
      "gas_metadata": {
        "contract_decimals": 123,
        "contract_name": "<string>",
        "contract_ticker_symbol": "<string>",
        "contract_address": "<string>",
        "supports_erc": [
          "<string>"
        ],
        "logo_url": "<string>"
      },
      "gas_offered": 123,
      "gas_spent": 123,
      "gas_price": 123,
      "fees_paid": "<string>",
      "gas_quote": 123,
      "pretty_gas_quote": "<string>",
      "gas_quote_rate": 123,
      "explorers": [
        {
          "label": "<string>",
          "url": "<string>"
        }
      ],
      "log_events": [
        {
          "block_signed_at": "2023-11-07T05:31:56Z",
          "block_height": 123,
          "tx_offset": 123,
          "log_offset": 123,
          "tx_hash": "<string>",
          "raw_log_topics": [
            "<string>"
          ],
          "sender_contract_decimals": 123,
          "sender_name": "<string>",
          "sender_contract_ticker_symbol": "<string>",
          "sender_address": "<string>",
          "sender_logo_url": "<string>",
          "supports_erc": [
            "<string>"
          ],
          "sender_factory_address": "<string>",
          "raw_log_data": "<string>",
          "decoded": {
            "name": "<string>",
            "signature": "<string>",
            "params": [
              {
                "name": "<string>",
                "type": "<string>",
                "indexed": true,
                "decoded": true,
                "value": "<string>"
              }
            ]
          }
        }
      ],
      "internal_transfers": [
        {
          "from_address": "<string>",
          "to_address": "<string>",
          "value": "<string>",
          "gas_limit": 123
        }
      ]
    }
  ]
}

Credit Cost

0.1 per call

Processing

Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Base cost is 0.1 credits (e.g. requests that return with status 200 but no items).Calls with no-logs cost 0.05 credits/item.Internal transactions are included in the response by using with-internal and cost 0.05 credits/item.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

chainName
string
required

The chain name eg: eth-mainnet.

txHash
string
required

The transaction hash.

Query Parameters

quote-currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.

no-logs
boolean

Omit log events.

with-internal
boolean

Whether to include internal transfers/transactions.

Response

200 - application/json

Successful response

updated_at
string<date-time>

The timestamp when the response was generated. Useful to show data staleness to users.

chain_id
integer

The requested chain ID eg: 1.

chain_name
string

The requested chain name eg: eth-mainnet.

chain_tip_height
integer

The latest block height of the blockchain at the time this response was provided.

chain_tip_signed_at
string<date-time>

The timestamp of the latest signed block at the time this response was provided.

items
object[]

List of response items.